<!doctype html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/default.html}">
<head>
  <!-- Primary Meta Tags -->
  <meta name="title" content="Report">
  <title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">Report</title>
</head>
<body>
<div class="container max-w-screen-lg mx-auto px-4" layout:fragment="content">
  <div class="flex flex-wrap flex-row sm:flex-row-reverse sm:justify-between items-center mt-16">
    <!--Date range Picker-->
    <form method="get">
      <div date-rangepicker class="flex items-center sm:justify-end basis-full sm:basis-6/12 mt-2" id="dateRangePicker">
        <div class="relative">
          <div class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none">
            <svg aria-hidden="true" class="w-5 h-5 text-gray-500" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M6 2a1 1 0 00-1 1v1H4a2 2 0 00-2 2v10a2 2 0 002 2h12a2 2 0 002-2V6a2 2 0 00-2-2h-1V3a1 1 0 10-2 0v1H7V3a1 1 0 00-1-1zm0 5a1 1 0 000 2h8a1 1 0 100-2H6z" clip-rule="evenodd"></path></svg>
          </div>
          <input name="start" type="text" th:value="${#temporals.format(tanggalMulai,'MM/dd/yyyy')}" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-10 p-2.5" placeholder="Start Date">
        </div>
        <span class="mx-4 text-gray-500">to</span>
        <div class="relative">
          <div class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none">
            <svg aria-hidden="true" class="w-5 h-5 text-gray-500" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M6 2a1 1 0 00-1 1v1H4a2 2 0 00-2 2v10a2 2 0 002 2h12a2 2 0 002-2V6a2 2 0 00-2-2h-1V3a1 1 0 10-2 0v1H7V3a1 1 0 00-1-1zm0 5a1 1 0 000 2h8a1 1 0 100-2H6z" clip-rule="evenodd"></path></svg>
          </div>
          <input name="end" type="text" th:value="${#temporals.format(tanggalSelesai,'MM/dd/yyyy')}" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-10 p-2.5" placeholder="End date">
        </div>
        <button type="submit" class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-5 py-2.5 text-center mx-2">Filter</button>
      </div>
    </form>

    <!--End Date Range Picker-->
    <div class="flex flex-row items-center basis-full sm:basis-4/12 items-center pr-4 mt-2">
      <!--user dropdown-->
      <button id="dropdownUsersButton" data-dropdown-toggle="dropdownUsers" data-dropdown-placement="bottom" class="bg-gray-50 border border-gray-300 text-gray-900 focus:ring-blue-500 focus:border-blue-500 font-medium rounded-lg text-sm px-3 py-2 text-center flex justify-between items-center block w-full" type="button">
        <div class="flex flex-row items-center">
          <img class="w-6 h-6 mr-2 rounded-full" th:src="@{'/img/user-profile.svg'}" alt="Jese image">
          <span class="max-w-[100px] truncate" th:text="${userEmployes.getFullName()}">muhammad Endy Muhardin</span>
        </div>
        <svg class="w-4 h-4 ml-2" aria-hidden="true" fill="none" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M19 9l-7 7-7-7"></path></svg>
      </button>
      <!-- Dropdown User -->
      <div id="dropdownUsers" class="z-10 hidden bg-white rounded-lg shadow w-44">
        <ul class="max-h-48 py-2 overflow-y-auto text-gray-700" aria-labelledby="dropdownUsersButton">
          <li>
            <a th:href="@{/reports(employeeId=1234)}" class="flex items-center px-4 py-2 hover:bg-gray-100 dark:hover:bg-gray-600">
              <img class="w-6 h-6 mr-2 rounded-full" th:src="@{'/img/user-profile.svg'}" alt="Jese image">
              <span th:text="${userEmployes.getFullName()}"></span>
            </a>
          </li>
        </ul>
      </div>
      <!--end user dropdown-->
      <!--Share Report-->
      <!-- Modal toggle -->
<!--      <button data-modal-target="shareModal" data-modal-toggle="shareModal" class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:ring-blue-300 font-medium rounded-lg text-sm px-3 py-2 mr-2 focus:outline-none" type="button">-->
<!--        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6">-->
<!--          <path stroke-linecap="round" stroke-linejoin="round" d="M7.217 10.907a2.25 2.25 0 100 2.186m0-2.186c.18.324.283.696.283 1.093s-.103.77-.283 1.093m0-2.186l9.566-5.314m-9.566 7.5l9.566 5.314m0 0a2.25 2.25 0 103.935 2.186 2.25 2.25 0 00-3.935-2.186zm0-12.814a2.25 2.25 0 103.933-2.185 2.25 2.25 0 00-3.933 2.185z" />-->
<!--        </svg>-->
<!--      </button>-->

      <!-- Main modal -->
<!--      <div id="shareModal" tabindex="-1" aria-hidden="true" class="fixed top-0 left-0 right-0 z-50 hidden w-full p-4 overflow-x-hidden overflow-y-auto md:inset-0 h-modal md:h-full">-->
<!--        <div class="relative w-full h-full max-w-2xl md:h-auto">-->
<!--          &lt;!&ndash; Modal content &ndash;&gt;-->
<!--          <div class="relative bg-white rounded-lg shadow dark:bg-gray-700">-->
            <!-- Modal header -->
<!--            <div class="flex items-start justify-between p-4 border-b rounded-t dark:border-gray-600">-->
<!--              <h3 class="text-xl font-semibold text-gray-900 dark:text-white">-->
<!--                Share Report-->
<!--              </h3>-->
<!--              <button type="button" class="text-gray-400 bg-transparent hover:bg-gray-200 hover:text-gray-900 rounded-lg text-sm p-1.5 ml-auto inline-flex items-center dark:hover:bg-gray-600 dark:hover:text-white" data-modal-hide="shareModal">-->
<!--                <svg aria-hidden="true" class="w-5 h-5" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M4.293 4.293a1 1 0 011.414 0L10 8.586l4.293-4.293a1 1 0 111.414 1.414L11.414 10l4.293 4.293a1 1 0 01-1.414 1.414L10 11.414l-4.293 4.293a1 1 0 01-1.414-1.414L8.586 10 4.293 5.707a1 1 0 010-1.414z" clip-rule="evenodd"></path></svg>-->
<!--                <span class="sr-only">Close modal</span>-->
<!--              </button>-->
<!--            </div>-->
            <!-- Modal body -->
<!--            <div class="p-6">-->
<!--              <form action="" class="flex flex-row flex-wrap sm:flex-nowrap items-center">-->
<!--                <div class="mb-6 basis-full sm:mr-2">-->
<!--                  <label for="email-address-icon" class="block mb-2 text-sm font-medium text-gray-900">User Email</label>-->
<!--                  <div class="relative">-->
<!--                    <div class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none">-->
<!--                      <svg aria-hidden="true" class="w-5 h-5 text-gray-500" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path d="M2.003 5.884L10 9.882l7.997-3.998A2 2 0 0016 4H4a2 2 0 00-1.997 1.884z"></path><path d="M18 8.118l-8 4-8-4V14a2 2 0 002 2h12a2 2 0 002-2V8.118z"></path></svg>-->
<!--                    </div>-->
<!--                    <input type="text" id="email-address-icon" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full pl-10 p-2.5  dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500" placeholder="user@tazkia.ac.id">-->
<!--                  </div>-->
<!--                </div>-->
<!--                <button type="submit" class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm w-full sm:w-auto px-5 py-2.5 text-center mt-1">Invite</button>-->
<!--              </form>-->
<!--              <p class="text-base leading-relaxed text-gray-500 dark:text-gray-400">Invited Users</p>-->
<!--              <ul class="max-h-48 py-2 overflow-y-auto text-gray-700" aria-labelledby="dropdownUsersButton">-->
<!--                <li class="flex flex-row justify-between mb-4">-->
<!--                  <div class="basis-full flex flex-row items-center mr-2">-->
<!--                    <img class="w-6 h-6 mr-2 rounded-full" th:src="@{'/img/user-profile.svg'}" alt="Jese image">-->
<!--                    <span>Sulhani</span>-->
<!--                  </div>-->
<!--                  <a th:href="@{/reports/share/delete(employeeId=1234)}" class="font-medium text-red-600 hover:underline">Delete</a>-->
<!--                </li>-->
<!--                <li class="flex flex-row justify-between mb-4">-->
<!--                  <div class="basis-full flex flex-row items-center mr-2">-->
<!--                    <img class="w-6 h-6 mr-2 rounded-full" th:src="@{'/img/user-profile.svg'}" alt="Jese image">-->
<!--                    <span>Muhammad Ardariksa Zuhruf</span>-->
<!--                  </div>-->
<!--                  <a th:href="@{/reports/share/delete(employeeId=1234)}" class="font-medium text-red-600 hover:underline">Delete</a>-->
<!--                </li>-->
<!--              </ul>-->
<!--            </div>-->
            <!-- Modal footer -->
<!--            <div class="flex items-center p-6 space-x-2 border-t border-gray-200 rounded-b dark:border-gray-600">-->
<!--              <button data-modal-hide="shareModal" type="button" class="text-gray-500 bg-white hover:bg-gray-100 focus:ring-4 focus:outline-none focus:ring-blue-300 rounded-lg border border-gray-200 text-sm font-medium px-5 py-2.5 hover:text-gray-900 focus:z-10">Close</button>-->
<!--            </div>-->
<!--          </div>-->
<!--        </div>-->
<!--      </div>-->
      <!--end Share Report-->
      <!--Download btn-->
<!--      <a th:href="@{'#'}" type="button" class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:ring-blue-300 font-medium rounded-lg text-sm px-3 py-2 mr-2 focus:outline-none">-->
<!--        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-6 h-6">-->
<!--          <path stroke-linecap="round" stroke-linejoin="round" d="M3 16.5v2.25A2.25 2.25 0 005.25 21h13.5A2.25 2.25 0 0021 18.75V16.5M16.5 12L12 16.5m0 0L7.5 12m4.5 4.5V3" />-->
<!--        </svg>-->
<!--      </a>-->
    </div>
  </div>
  <div class="flex flex-wrap flex-row mt-6">
    <div class="basis-full lg:basis-4/12 lg:pr-4">
      <div class="flex flex-row gap-4">
        <!--Task Score-->
        <div class="basis-full sm:basis-6/12 rounded-md shadow-md p-4">
          <p class="text-base text-gray-600">Your Score</p>
          <p class="text-5xl text-blue-800" th:if="${dataPrestasi != null}" th:text="${dataPrestasi[1]}">A</p>
          <p class="text-base text-gray-600">Last 30 Days</p>
        </div>
        <!--Task Performance-->
        <div class="basis-full sm:basis-6/12 rounded-md shadow-md p-4">
          <p class="text-base text-gray-600">Performance</p>
          <p class="text-5xl text-blue-800" th:if="${dataPrestasi != null}" th:text="${dataPrestasi[0]+'%'}">100<span class="text-2xl">%</span></p>
          <p class="text-base text-gray-600">Last 30 Days</p>
        </div>
      </div>
      <!--Task Reward-->
      <div th:if="${totalNominal != null}" class="w-full rounded-md shadow-md p-4 mt-4">
        <p class="text-base text-gray-600">Your Reward</p>
        <div class="flex flex-row items-center">
          <button id="toggle-reword" class="mr-2"><svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="w-5 h-5">
            <path stroke-linecap="round" stroke-linejoin="round" d="M2.036 12.322a1.012 1.012 0 010-.639C3.423 7.51 7.36 4.5 12 4.5c4.638 0 8.573 3.007 9.963 7.178.07.207.07.431 0 .639C20.577 16.49 16.64 19.5 12 19.5c-4.638 0-8.573-3.007-9.963-7.178z" />
            <path stroke-linecap="round" stroke-linejoin="round" d="M15 12a3 3 0 11-6 0 3 3 0 016 0z" />
          </svg>
          </button>
          <span class="text-4xl text-blue-800 mr-1">Rp.</span>
          <span id="reword"
                class="text-4xl text-blue-800 hidden"
                th:if="${totalNominal != null}"
                th:text="${#numbers.formatDecimal(totalNominal[0], 0, 'POINT', 0, 'COMMA')+'-'}"
          >
            1.500.000,-
          </span>
          <div class="flex flex-row" id="hintText">
            <span class="flex w-2 h-2 bg-blue-800 mr-1 rounded-full"></span>
            <span class="flex w-2 h-2 bg-blue-800 mr-1 rounded-full"></span>
            <span class="flex w-2 h-2 bg-blue-800 mr-1 rounded-full"></span>
            <span class="flex w-2 h-2 bg-blue-800 mr-1 rounded-full"></span>
            <span class="flex w-2 h-2 bg-blue-800 mr-1 rounded-full"></span>
            <span class="flex w-2 h-2 bg-blue-800 mr-1 rounded-full"></span>
          </div>
        </div>
        <p class="text-base text-gray-600" th:if="${totalNominal != null}" th:text="${'Period : ' + #temporals.format(tanggalMulai,'dd-MMM-yy') + ' to ' + #temporals.format(tanggalSelesai,'dd-MMM-yy')}">Last 30 Days</p>
      </div>
    </div>
    <div class="basis-full lg:basis-8/12 mt-8 lg:mt-0">
      <!--day indicator-->
      <p class="basis-full sm:basis-6/12 my-3" th:text="${'You have completed '+totalNominal[2]+' of '+ totalNominal[1]+' Tasks'}">You have completed 124 Tasks</p>
      <ul class="flex flex-wrap mt-3" >
        <div th:each="dataAbsenStatus, row : ${listAbsenStatus}">
        <li th:class="${'w-6 h-6 mr-2 my-2 bg-green-'+dataAbsenStatus.getClas()}">
          <button th:attr="data-tooltip-target='tooltip-default'+${dataAbsenStatus.getId()}" type="button" class="w-full h-full"></button>
          <div th:id="${'tooltip-default'+ dataAbsenStatus.getId()} " role="tooltip" class="absolute z-10 invisible inline-block px-3 py-2 text-sm font-medium text-white transition-opacity duration-300 bg-blue-700 rounded-lg shadow-sm opacity-0 tooltip" >
            <span th:text="${dataAbsenStatus.getScheduleName() + ' ('+ #temporals.format(dataAbsenStatus.getDateTasks(),'dd-MMM-yy') + ')'}"></span>
            <div class="tooltip-arrow" data-popper-arrow></div>
          </div>
        </li>
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-50"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-50"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-100"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-100"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-100"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-200"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-200"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-200"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-300"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-300"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-300"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-400"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-400"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-400"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-500"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-500"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-500"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-600"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-600"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-600"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-700"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-700"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-700"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-800"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-800"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-800"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-900"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-900"></li>-->
<!--        <li class="w-6 h-6 mr-2 my-2 bg-green-900"></li>-->
        </div>
      </ul>
      <!--end day indicator-->
      <!--task progress-->
      <ul class="mt-4" th:each="data, row : ${dataProgress}">
        <li>
          <p class="basis-full sm:basis-6/12 my-2" th:text="${data[0]}">Shalat Tahajud</p>
          <div class="w-full bg-gray-200 rounded-full">
            <div class="bg-blue-600 text-xs font-medium text-blue-100 text-center p-0.5 leading-none rounded-full" th:style="${'width: '+data[3]+'%'}" th:text="${data[3]+'%'}"> 45%</div>
          </div>
        </li>
      </ul>
      <!--end task progress-->
    </div>
  </div>
</div>
</body>
</html>
